Export Submission
Use the following requests to export the latest or most recent version of a Submissions Archive binder. These endpoints do not support the export of submissions binders published by RIM Submissions Publishing. Learn more about RIM Submissions Publishing in Vault Help
To export the latest version of a Submissions Archive binder:
POST
/api/{version}/objects/binders/{binder_id}/actions/export?submission={submission_id}To export a specific version of a Submissions Archive binder:
POST
/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/actions/export?submission={submission_id}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. See Retrieve Binders above. |
{major_version} | The major_version_number__v field value of the binder. |
{minor_version} | The minor_version_number__v field value of the binder. |
{submission_id} | The id field value of the submission__v object record. See Retrieve Object Record Collection above. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v23.1/objects/binders/454/actions/export?submission=00S000000000101Response
Section link for Response{
"responseStatus": "SUCCESS",
"URL": "https://myvault.veevavault.com/api/v23.1/services/jobs/1201",
"job_id": 1201
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information:
URL- The URL to retrieve the current status of the export job.job_id- The Job ID value is used to retrieve the status and results of the request.